Blame 0017-deprecate-old-command-line-options.patch

Harald Hoyer 12f6cc
From 68e7661ca7625978f3a2b6f906d16a44043c4fbb Mon Sep 17 00:00:00 2001
Harald Hoyer 12f6cc
From: Harald Hoyer <harald@redhat.com>
Harald Hoyer 12f6cc
Date: Wed, 25 Jul 2012 10:32:42 +0200
Harald Hoyer 12f6cc
Subject: [PATCH] deprecate old command line options
Harald Hoyer 12f6cc
Harald Hoyer 12f6cc
---
Harald Hoyer 12f6cc
 modules.d/10i18n/parse-i18n.sh                   |  8 ++---
Harald Hoyer 12f6cc
 modules.d/50gensplash/gensplash-pretrigger.sh    |  2 +-
Harald Hoyer 12f6cc
 modules.d/50plymouth/plymouth-pretrigger.sh      |  2 +-
Harald Hoyer 12f6cc
 modules.d/90crypt/crypt-cleanup.sh               |  2 +-
Harald Hoyer 12f6cc
 modules.d/90crypt/cryptroot-ask.sh               |  2 +-
Harald Hoyer 12f6cc
 modules.d/90crypt/parse-crypt.sh                 |  4 +--
Harald Hoyer 12f6cc
 modules.d/90dmraid/dmraid.sh                     |  2 +-
Harald Hoyer 12f6cc
 modules.d/90dmraid/parse-dm.sh                   |  6 ++--
Harald Hoyer 12f6cc
 modules.d/90dmsquash-live/dmsquash-live-root.sh  | 14 ++++----
Harald Hoyer 12f6cc
 modules.d/90dmsquash-live/parse-dmsquash-live.sh |  2 +-
Harald Hoyer 12f6cc
 modules.d/90kernel-modules/insmodpost.sh         |  2 +-
Harald Hoyer 12f6cc
 modules.d/90kernel-modules/parse-kernel.sh       |  6 ++--
Harald Hoyer 12f6cc
 modules.d/90lvm/lvm_scan.sh                      |  8 ++---
Harald Hoyer 12f6cc
 modules.d/90lvm/parse-lvm.sh                     |  6 ++--
Harald Hoyer 12f6cc
 modules.d/90mdraid/parse-md.sh                   | 12 +++----
Harald Hoyer 12f6cc
 modules.d/95dasd/parse-dasd.sh                   |  2 +-
Harald Hoyer 12f6cc
 modules.d/95dasd_mod/parse-dasd-mod.sh           |  2 +-
Harald Hoyer 12f6cc
 modules.d/95iscsi/iscsiroot.sh                   | 24 +++++++-------
Harald Hoyer 12f6cc
 modules.d/95nfs/parse-nfsroot.sh                 |  2 +-
Harald Hoyer 12f6cc
 modules.d/95rootfs-block/mount-root.sh           |  2 +-
Harald Hoyer 12f6cc
 modules.d/95zfcp/parse-zfcp.sh                   |  4 +--
Harald Hoyer 12f6cc
 modules.d/95znet/parse-ccw.sh                    |  2 +-
Harald Hoyer 12f6cc
 modules.d/98syslog/parse-syslog-opts.sh          |  6 ++--
Harald Hoyer 12f6cc
 modules.d/98systemd/dracut-cmdline.sh            |  2 +-
Harald Hoyer 12f6cc
 modules.d/98systemd/dracut-initqueue.sh          |  8 ++---
Harald Hoyer 12f6cc
 modules.d/98systemd/dracut-pre-pivot.sh          |  2 +-
Harald Hoyer 12f6cc
 modules.d/98systemd/dracut-pre-trigger.sh        |  4 +--
Harald Hoyer 12f6cc
 modules.d/99base/dracut-lib.sh                   | 42 ++++++++++++++++++++----
Harald Hoyer 12f6cc
 modules.d/99base/init.sh                         | 24 +++++++-------
Harald Hoyer 12f6cc
 modules.d/99base/mount-hook.sh                   |  2 +-
Harald Hoyer 12f6cc
 30 files changed, 117 insertions(+), 89 deletions(-)
Harald Hoyer 12f6cc
Harald Hoyer 12f6cc
diff --git a/modules.d/10i18n/parse-i18n.sh b/modules.d/10i18n/parse-i18n.sh
Harald Hoyer 12f6cc
index b9bd5bb..5530136 100755
Harald Hoyer 12f6cc
--- a/modules.d/10i18n/parse-i18n.sh
Harald Hoyer 12f6cc
+++ b/modules.d/10i18n/parse-i18n.sh
Harald Hoyer 12f6cc
@@ -19,10 +19,10 @@ inst_key_val() {
Harald Hoyer 12f6cc
     unset _value
Harald Hoyer 12f6cc
 }
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-inst_key_val '' /etc/vconsole.conf KEYMAP      vconsole.keymap      KEYTABLE
Harald Hoyer 12f6cc
-inst_key_val '' /etc/vconsole.conf FONT        vconsole.font        SYSFONT
Harald Hoyer 12f6cc
-inst_key_val '' /etc/vconsole.conf FONT_MAP    vconsole.font.map    CONTRANS
Harald Hoyer 12f6cc
-inst_key_val '' /etc/vconsole.conf FONT_UNIMAP vconsole.font.unimap UNIMAP
Harald Hoyer 12f6cc
+inst_key_val '' /etc/vconsole.conf KEYMAP      vconsole.keymap      -d KEYTABLE
Harald Hoyer 12f6cc
+inst_key_val '' /etc/vconsole.conf FONT        vconsole.font        -d SYSFONT
Harald Hoyer 12f6cc
+inst_key_val '' /etc/vconsole.conf FONT_MAP    vconsole.font.map    -d CONTRANS
Harald Hoyer 12f6cc
+inst_key_val '' /etc/vconsole.conf FONT_UNIMAP vconsole.font.unimap -d UNIMAP
Harald Hoyer 12f6cc
 inst_key_val 1  /etc/vconsole.conf UNICODE     vconsole.unicode vconsole.font.unicode
Harald Hoyer 12f6cc
 inst_key_val '' /etc/vconsole.conf EXT_KEYMAP  vconsole.keymap.ext
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/50gensplash/gensplash-pretrigger.sh b/modules.d/50gensplash/gensplash-pretrigger.sh
Harald Hoyer 12f6cc
index b697438..6b85bbf 100755
Harald Hoyer 12f6cc
--- a/modules.d/50gensplash/gensplash-pretrigger.sh
Harald Hoyer 12f6cc
+++ b/modules.d/50gensplash/gensplash-pretrigger.sh
Harald Hoyer 12f6cc
@@ -2,7 +2,7 @@
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if getargbool 1 rd.splash -n rd_NO_SPLASH; then
Harald Hoyer 12f6cc
+if getargbool 1 rd.splash -d -n rd_NO_SPLASH; then
Harald Hoyer 12f6cc
     info "Starting Gentoo Splash"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
     [ -x /lib/udev/console_init ] && /lib/udev/console_init /dev/tty0
Harald Hoyer 12f6cc
diff --git a/modules.d/50plymouth/plymouth-pretrigger.sh b/modules.d/50plymouth/plymouth-pretrigger.sh
Harald Hoyer 12f6cc
index 5cc9112..ddb8ddb 100755
Harald Hoyer 12f6cc
--- a/modules.d/50plymouth/plymouth-pretrigger.sh
Harald Hoyer 12f6cc
+++ b/modules.d/50plymouth/plymouth-pretrigger.sh
Harald Hoyer 12f6cc
@@ -3,7 +3,7 @@
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 if [ -x /bin/plymouthd ]; then
Harald Hoyer 12f6cc
-    if getargbool 1 plymouth.enable && getargbool 1 rd.plymouth -n rd_NO_PLYMOUTH; then
Harald Hoyer 12f6cc
+    if getargbool 1 plymouth.enable && getargbool 1 rd.plymouth -d -n rd_NO_PLYMOUTH; then
Harald Hoyer 12f6cc
         # first trigger graphics subsystem
Harald Hoyer 12f6cc
         udevadm trigger --action=add --attr-match=class=0x030000 >/dev/null 2>&1
Harald Hoyer 12f6cc
         # first trigger graphics and tty subsystem
Harald Hoyer 12f6cc
diff --git a/modules.d/90crypt/crypt-cleanup.sh b/modules.d/90crypt/crypt-cleanup.sh
Harald Hoyer 12f6cc
index e6beb83..04defde 100755
Harald Hoyer 12f6cc
--- a/modules.d/90crypt/crypt-cleanup.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90crypt/crypt-cleanup.sh
Harald Hoyer 12f6cc
@@ -4,7 +4,7 @@
Harald Hoyer 12f6cc
 # close everything which is not busy
Harald Hoyer 12f6cc
 rm -f /etc/udev/rules.d/70-luks.rules >/dev/null 2>&1
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if ! getarg rd.luks.uuid rd_LUKS_UUID >/dev/null 2>&1 && getargbool 1 rd.luks -n rd_NO_LUKS >/dev/null 2>&1; then
Harald Hoyer 12f6cc
+if ! getarg rd.luks.uuid -d rd_LUKS_UUID >/dev/null 2>&1 && getargbool 1 rd.luks -d -n rd_NO_LUKS >/dev/null 2>&1; then
Harald Hoyer 12f6cc
     while true; do
Harald Hoyer 12f6cc
         local do_break="y"
Harald Hoyer 12f6cc
         for i in /dev/mapper/luks-*; do
Harald Hoyer 12f6cc
diff --git a/modules.d/90crypt/cryptroot-ask.sh b/modules.d/90crypt/cryptroot-ask.sh
Harald Hoyer 12f6cc
index d373a90..17955ec 100755
Harald Hoyer 12f6cc
--- a/modules.d/90crypt/cryptroot-ask.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90crypt/cryptroot-ask.sh
Harald Hoyer 12f6cc
@@ -36,7 +36,7 @@ fi
Harald Hoyer 12f6cc
 numtries=${3:-10}
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # TODO: improve to support what cmdline does
Harald Hoyer 12f6cc
-if [ -f /etc/crypttab ] && getargbool 1 rd.luks.crypttab -n rd_NO_CRYPTTAB; then
Harald Hoyer 12f6cc
+if [ -f /etc/crypttab ] && getargbool 1 rd.luks.crypttab -d -n rd_NO_CRYPTTAB; then
Harald Hoyer 12f6cc
     while read name dev luksfile luksoptions; do
Harald Hoyer 12f6cc
         # ignore blank lines and comments
Harald Hoyer 12f6cc
         if [ -z "$name" -o "${name#\#}" != "$name" ]; then
Harald Hoyer 12f6cc
diff --git a/modules.d/90crypt/parse-crypt.sh b/modules.d/90crypt/parse-crypt.sh
Harald Hoyer 12f6cc
index f96b59a..a2b157f 100755
Harald Hoyer 12f6cc
--- a/modules.d/90crypt/parse-crypt.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90crypt/parse-crypt.sh
Harald Hoyer 12f6cc
@@ -1,7 +1,7 @@
Harald Hoyer 12f6cc
 #!/bin/sh
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.luks -n rd_NO_LUKS; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.luks -d -n rd_NO_LUKS; then
Harald Hoyer 12f6cc
     info "rd.luks=0: removing cryptoluks activation"
Harald Hoyer 12f6cc
     rm -f /etc/udev/rules.d/70-luks.rules
Harald Hoyer 12f6cc
 else
Harald Hoyer 12f6cc
@@ -10,7 +10,7 @@ else
Harald Hoyer 12f6cc
         echo 'ACTION!="add|change", GOTO="luks_end"'
Harald Hoyer 12f6cc
     } > /etc/udev/rules.d/70-luks.rules.new
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-    LUKS=$(getargs rd.luks.uuid rd_LUKS_UUID)
Harald Hoyer 12f6cc
+    LUKS=$(getargs rd.luks.uuid -d rd_LUKS_UUID)
Harald Hoyer 12f6cc
     tout=$(getarg rd.luks.key.tout)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
     if [ -n "$LUKS" ]; then
Harald Hoyer 12f6cc
diff --git a/modules.d/90dmraid/dmraid.sh b/modules.d/90dmraid/dmraid.sh
Harald Hoyer 12f6cc
index 574dc3b..e4f8799 100755
Harald Hoyer 12f6cc
--- a/modules.d/90dmraid/dmraid.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90dmraid/dmraid.sh
Harald Hoyer 12f6cc
@@ -4,7 +4,7 @@
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-DM_RAIDS=$(getargs rd.dm.uuid rd_DM_UUID=)
Harald Hoyer 12f6cc
+DM_RAIDS=$(getargs rd.dm.uuid -d rd_DM_UUID=)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 DM_CLEANUP="no"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/90dmraid/parse-dm.sh b/modules.d/90dmraid/parse-dm.sh
Harald Hoyer 12f6cc
index fe38d35..bc7ed42 100755
Harald Hoyer 12f6cc
--- a/modules.d/90dmraid/parse-dm.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90dmraid/parse-dm.sh
Harald Hoyer 12f6cc
@@ -2,17 +2,17 @@
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 # nodmraid for anaconda / rc.sysinit compatibility
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.dm -n rd_NO_DM || getarg nodmraid; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.dm -d -n rd_NO_DM || getarg "rd.dm=0" -d nodmraid; then
Harald Hoyer 12f6cc
     info "rd.dm=0: removing DM RAID activation"
Harald Hoyer 12f6cc
     udevproperty rd_NO_DM=1
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if  ! command -v mdadm >/dev/null || ! getargbool 1 rd.md.imsm -n rd_NO_MDIMSM || getarg noiswmd; then
Harald Hoyer 12f6cc
+if  ! command -v mdadm >/dev/null || ! getargbool 1 rd.md.imsm -d -n rd_NO_MDIMSM -n noiswmd; then
Harald Hoyer 12f6cc
     info "rd.md.imsm=0: no MD RAID for imsm/isw raids"
Harald Hoyer 12f6cc
     udevproperty rd_NO_MDIMSM=1
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if  ! command -v mdadm >/dev/null || ! getargbool 1 rd.md.ddf -n rd_NO_MDDDF || getarg noddfmd; then
Harald Hoyer 12f6cc
+if  ! command -v mdadm >/dev/null || ! getargbool 1 rd.md.ddf -n rd_NO_MDDDF -n noddfmd; then
Harald Hoyer 12f6cc
     info "rd.md.ddf=0: no MD RAID for SNIA ddf raids"
Harald Hoyer 12f6cc
     udevproperty rd_NO_MDDDF=1
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
diff --git a/modules.d/90dmsquash-live/dmsquash-live-root.sh b/modules.d/90dmsquash-live/dmsquash-live-root.sh
Harald Hoyer 12f6cc
index 08f2381..15f166b 100755
Harald Hoyer 12f6cc
--- a/modules.d/90dmsquash-live/dmsquash-live-root.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90dmsquash-live/dmsquash-live-root.sh
Harald Hoyer 12f6cc
@@ -6,7 +6,7 @@ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 PATH=/usr/sbin:/usr/bin:/sbin:/bin
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if getargbool 0 rd.live.debug -y rdlivedebug; then
Harald Hoyer 12f6cc
+if getargbool 0 rd.live.debug -n -y rdlivedebug; then
Harald Hoyer 12f6cc
     exec > /tmp/liveroot.$$.out
Harald Hoyer 12f6cc
     exec 2>> /tmp/liveroot.$$.out
Harald Hoyer 12f6cc
     set -x
Harald Hoyer 12f6cc
@@ -17,19 +17,19 @@ livedev="$1"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # parse various live image specific options that make sense to be
Harald Hoyer 12f6cc
 # specified as their own things
Harald Hoyer 12f6cc
-live_dir=$(getarg rd.live.dir live_dir)
Harald Hoyer 12f6cc
+live_dir=$(getarg rd.live.dir -d live_dir)
Harald Hoyer 12f6cc
 [ -z "$live_dir" ] && live_dir="LiveOS"
Harald Hoyer 12f6cc
-getargbool 0 rd.live.ram -y live_ram && live_ram="yes"
Harald Hoyer 12f6cc
-getargbool 0 rd.live.overlay.reset -y reset_overlay && reset_overlay="yes"
Harald Hoyer 12f6cc
-getargbool 0 rd.live.overlay.readonly -y readonly_overlay && readonly_overlay="--readonly" || readonly_overlay=""
Harald Hoyer 12f6cc
-overlay=$(getarg rd.live.overlay overlay)
Harald Hoyer 12f6cc
+getargbool 0 rd.live.ram -d -y live_ram && live_ram="yes"
Harald Hoyer 12f6cc
+getargbool 0 rd.live.overlay.reset -d -y reset_overlay && reset_overlay="yes"
Harald Hoyer 12f6cc
+getargbool 0 rd.live.overlay.readonly -d -y readonly_overlay && readonly_overlay="--readonly" || readonly_overlay=""
Harald Hoyer 12f6cc
+overlay=$(getarg rd.live.overlay -d overlay)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # CD/DVD media check
Harald Hoyer 12f6cc
 [ -b $livedev ] && fs=$(blkid -s TYPE -o value $livedev)
Harald Hoyer 12f6cc
 if [ "$fs" = "iso9660" -o "$fs" = "udf" ]; then
Harald Hoyer 12f6cc
     check="yes"
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
-getarg rd.live.check check || check=""
Harald Hoyer 12f6cc
+getarg rd.live.check -d check || check=""
Harald Hoyer 12f6cc
 if [ -n "$check" ]; then
Harald Hoyer 12f6cc
     [ -x /bin/plymouth ] && /bin/plymouth --hide-splash
Harald Hoyer 12f6cc
     checkisomd5 --verbose $livedev
Harald Hoyer 12f6cc
diff --git a/modules.d/90dmsquash-live/parse-dmsquash-live.sh b/modules.d/90dmsquash-live/parse-dmsquash-live.sh
Harald Hoyer 12f6cc
index 5ccc0d0..3e9a347 100755
Harald Hoyer 12f6cc
--- a/modules.d/90dmsquash-live/parse-dmsquash-live.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90dmsquash-live/parse-dmsquash-live.sh
Harald Hoyer 12f6cc
@@ -7,7 +7,7 @@
Harald Hoyer 12f6cc
 [ -z "$root" ] && root=$(getarg root=)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # support legacy syntax of passing liveimg and then just the base root
Harald Hoyer 12f6cc
-if getargbool 0 rd.live.image -y liveimg; then
Harald Hoyer 12f6cc
+if getargbool 0 rd.live.image -d -y liveimg; then
Harald Hoyer 12f6cc
     liveroot="live:$root"
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/90kernel-modules/insmodpost.sh b/modules.d/90kernel-modules/insmodpost.sh
Harald Hoyer 12f6cc
index 168a907..d2b8723 100755
Harald Hoyer 12f6cc
--- a/modules.d/90kernel-modules/insmodpost.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90kernel-modules/insmodpost.sh
Harald Hoyer 12f6cc
@@ -4,7 +4,7 @@
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for modlist in $(getargs rd.driver.post rdinsmodpost=); do
Harald Hoyer 12f6cc
+for modlist in $(getargs rd.driver.post -d rdinsmodpost=); do
Harald Hoyer 12f6cc
     (
Harald Hoyer 12f6cc
         IFS=,
Harald Hoyer 12f6cc
         for m in $modlist; do
Harald Hoyer 12f6cc
diff --git a/modules.d/90kernel-modules/parse-kernel.sh b/modules.d/90kernel-modules/parse-kernel.sh
Harald Hoyer 12f6cc
index 285ee90..485528b 100755
Harald Hoyer 12f6cc
--- a/modules.d/90kernel-modules/parse-kernel.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90kernel-modules/parse-kernel.sh
Harald Hoyer 12f6cc
@@ -2,7 +2,7 @@
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for i in $(getargs rd.driver.pre rdloaddriver=); do
Harald Hoyer 12f6cc
+for i in $(getargs rd.driver.pre -d rdloaddriver=); do
Harald Hoyer 12f6cc
     (
Harald Hoyer 12f6cc
         IFS=,
Harald Hoyer 12f6cc
         for p in $i; do
Harald Hoyer 12f6cc
@@ -11,7 +11,7 @@ for i in $(getargs rd.driver.pre rdloaddriver=); do
Harald Hoyer 12f6cc
     )
Harald Hoyer 12f6cc
 done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for i in $(getargs rd.driver.blacklist rdblacklist=); do
Harald Hoyer 12f6cc
+for i in $(getargs rd.driver.blacklist -d rdblacklist=); do
Harald Hoyer 12f6cc
     (
Harald Hoyer 12f6cc
         IFS=,
Harald Hoyer 12f6cc
         for p in $i; do
Harald Hoyer 12f6cc
@@ -20,7 +20,7 @@ for i in $(getargs rd.driver.blacklist rdblacklist=); do
Harald Hoyer 12f6cc
     )
Harald Hoyer 12f6cc
 done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for p in $(getargs rd.driver.post rdinsmodpost=); do
Harald Hoyer 12f6cc
+for p in $(getargs rd.driver.post -d rdinsmodpost=); do
Harald Hoyer 12f6cc
     echo "blacklist $p" >> /etc/modprobe.d/initramfsblacklist.conf
Harald Hoyer 12f6cc
     _do_insmodpost=1
Harald Hoyer 12f6cc
 done
Harald Hoyer 12f6cc
diff --git a/modules.d/90lvm/lvm_scan.sh b/modules.d/90lvm/lvm_scan.sh
Harald Hoyer 12f6cc
index d86be9b..f5f5fcd 100755
Harald Hoyer 12f6cc
--- a/modules.d/90lvm/lvm_scan.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90lvm/lvm_scan.sh
Harald Hoyer 12f6cc
@@ -7,10 +7,10 @@
Harald Hoyer 12f6cc
 extraargs="$@"
Harald Hoyer 12f6cc
 type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-VGS=$(getargs rd.lvm.vg rd_LVM_VG=)
Harald Hoyer 12f6cc
-LVS=$(getargs rd.lvm.lv rd_LVM_LV=)
Harald Hoyer 12f6cc
-SNAPSHOT=$(getargs rd.lvm.snapshot rd_LVM_SNAPSHOT=)
Harald Hoyer 12f6cc
-SNAPSIZE=$(getargs rd.lvm.snapsize rd_LVM_SNAPSIZE=)
Harald Hoyer 12f6cc
+VGS=$(getargs rd.lvm.vg -d rd_LVM_VG=)
Harald Hoyer 12f6cc
+LVS=$(getargs rd.lvm.lv -d rd_LVM_LV=)
Harald Hoyer 12f6cc
+SNAPSHOT=$(getargs rd.lvm.snapshot -d rd_LVM_SNAPSHOT=)
Harald Hoyer 12f6cc
+SNAPSIZE=$(getargs rd.lvm.snapsize -d rd_LVM_SNAPSIZE=)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 [ -d /etc/lvm ] || mkdir -m 0755 -p /etc/lvm
Harald Hoyer 12f6cc
 # build a list of devices to scan
Harald Hoyer 12f6cc
diff --git a/modules.d/90lvm/parse-lvm.sh b/modules.d/90lvm/parse-lvm.sh
Harald Hoyer 12f6cc
index c1d00c6..2194abd 100755
Harald Hoyer 12f6cc
--- a/modules.d/90lvm/parse-lvm.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90lvm/parse-lvm.sh
Harald Hoyer 12f6cc
@@ -1,15 +1,15 @@
Harald Hoyer 12f6cc
 #!/bin/sh
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
-if [ -e /etc/lvm/lvm.conf ] && ! getargbool 1 rd.lvm.conf -n rd_NO_LVMCONF; then
Harald Hoyer 12f6cc
+if [ -e /etc/lvm/lvm.conf ] && ! getargbool 1 rd.lvm.conf -d -n rd_NO_LVMCONF; then
Harald Hoyer 12f6cc
     rm -f /etc/lvm/lvm.conf
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.lvm -n rd_NO_LVM; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.lvm -d -n rd_NO_LVM; then
Harald Hoyer 12f6cc
     info "rd.lvm=0: removing LVM activation"
Harald Hoyer 12f6cc
     rm -f /etc/udev/rules.d/64-lvm*.rules
Harald Hoyer 12f6cc
 else
Harald Hoyer 12f6cc
-    for dev in $(getargs rd.lvm.vg rd_LVM_VG=) $(getargs rd.lvm.lv rd_LVM_LV=); do
Harald Hoyer 12f6cc
+    for dev in $(getargs rd.lvm.vg -d rd_LVM_VG=) $(getargs rd.lvm.lv -d rd_LVM_LV=); do
Harald Hoyer 12f6cc
         wait_for_dev "/dev/$dev"
Harald Hoyer 12f6cc
     done
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
diff --git a/modules.d/90mdraid/parse-md.sh b/modules.d/90mdraid/parse-md.sh
Harald Hoyer 12f6cc
index 1482f2f..6920f40 100755
Harald Hoyer 12f6cc
--- a/modules.d/90mdraid/parse-md.sh
Harald Hoyer 12f6cc
+++ b/modules.d/90mdraid/parse-md.sh
Harald Hoyer 12f6cc
@@ -1,11 +1,11 @@
Harald Hoyer 12f6cc
 #!/bin/sh
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.md -n rd_NO_MD; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.md -d -n rd_NO_MD; then
Harald Hoyer 12f6cc
     info "rd.md=0: removing MD RAID activation"
Harald Hoyer 12f6cc
     udevproperty rd_NO_MD=1
Harald Hoyer 12f6cc
 else
Harald Hoyer 12f6cc
-    MD_UUID=$(getargs rd.md.uuid rd_MD_UUID=)
Harald Hoyer 12f6cc
+    MD_UUID=$(getargs rd.md.uuid -d rd_MD_UUID=)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
     # rewrite the md rules to only process the specified raid array
Harald Hoyer 12f6cc
     if [ -n "$MD_UUID" ]; then
Harald Hoyer 12f6cc
@@ -29,25 +29,25 @@ else
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if [ -e /etc/mdadm.conf ] && getargbool 1 rd.md.conf -n rd_NO_MDADMCONF; then
Harald Hoyer 12f6cc
+if [ -e /etc/mdadm.conf ] && getargbool 1 rd.md.conf -d -n rd_NO_MDADMCONF; then
Harald Hoyer 12f6cc
     udevproperty rd_MDADMCONF=1
Harald Hoyer 12f6cc
     rm -f $hookdir/pre-pivot/*mdraid-cleanup.sh
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.md.conf -n rd_NO_MDADMCONF; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.md.conf -d -n rd_NO_MDADMCONF; then
Harald Hoyer 12f6cc
     rm -f /etc/mdadm/mdadm.conf /etc/mdadm.conf
Harald Hoyer 12f6cc
     ln -s $(command -v mdraid-cleanup) $hookdir/pre-pivot/31-mdraid-cleanup.sh 2>/dev/null
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # noiswmd nodmraid for anaconda / rc.sysinit compatibility
Harald Hoyer 12f6cc
 # note nodmraid really means nobiosraid, so we don't want MDIMSM then either
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.md.imsm -n rd_NO_MDIMSM || getarg noiswmd || getarg nodmraid; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.md.imsm -d -n rd_NO_MDIMSM -n noiswmd -n nodmraid; then
Harald Hoyer 12f6cc
     info "no MD RAID for imsm/isw raids"
Harald Hoyer 12f6cc
     udevproperty rd_NO_MDIMSM=1
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # same thing with ddf containers
Harald Hoyer 12f6cc
-if ! getargbool 1 rd.md.ddf -n rd_NO_MDDDF || getarg noddfmd || getarg nodmraid; then
Harald Hoyer 12f6cc
+if ! getargbool 1 rd.md.ddf -n rd_NO_MDDDF -n noddfmd -n nodmraid; then
Harald Hoyer 12f6cc
     info "no MD RAID for SNIA ddf raids"
Harald Hoyer 12f6cc
     udevproperty rd_NO_MDDDF=1
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
diff --git a/modules.d/95dasd/parse-dasd.sh b/modules.d/95dasd/parse-dasd.sh
Harald Hoyer 12f6cc
index b3d18fa..772ea47 100755
Harald Hoyer 12f6cc
--- a/modules.d/95dasd/parse-dasd.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95dasd/parse-dasd.sh
Harald Hoyer 12f6cc
@@ -1,7 +1,7 @@
Harald Hoyer 12f6cc
 #!/bin/sh
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
-for dasd_arg in $(getargs rd.dasd= rd_DASD= DASD=); do
Harald Hoyer 12f6cc
+for dasd_arg in $(getargs rd.dasd= -d rd_DASD= DASD=); do
Harald Hoyer 12f6cc
     (
Harald Hoyer 12f6cc
         IFS=","
Harald Hoyer 12f6cc
         set $dasd_arg
Harald Hoyer 12f6cc
diff --git a/modules.d/95dasd_mod/parse-dasd-mod.sh b/modules.d/95dasd_mod/parse-dasd-mod.sh
Harald Hoyer 12f6cc
index c37aca8..87c88ed 100755
Harald Hoyer 12f6cc
--- a/modules.d/95dasd_mod/parse-dasd-mod.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95dasd_mod/parse-dasd-mod.sh
Harald Hoyer 12f6cc
@@ -3,7 +3,7 @@
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 mod_args=""
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for dasd_arg in $(getargs rd.dasd= rd_DASD= DASD=); do
Harald Hoyer 12f6cc
+for dasd_arg in $(getargs rd.dasd= -d rd_DASD= DASD=); do
Harald Hoyer 12f6cc
     mod_args="$mod_args,$dasd_arg"
Harald Hoyer 12f6cc
 done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
Harald Hoyer 12f6cc
index 19c5c1d..87b7fa7 100755
Harald Hoyer 12f6cc
--- a/modules.d/95iscsi/iscsiroot.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95iscsi/iscsiroot.sh
Harald Hoyer 12f6cc
@@ -40,14 +40,14 @@ modprobe crc32c 2>/dev/null
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 [ -e /sys/module/bnx2i ] && iscsiuio
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if getargbool 0 rd.iscsi.firmware -y iscsi_firmware ; then
Harald Hoyer 12f6cc
+if getargbool 0 rd.iscsi.firmware -d -y iscsi_firmware ; then
Harald Hoyer 12f6cc
     if [ -z "$root" -o -n "${root%%block:*}" ]; then
Harald Hoyer 12f6cc
         # if root is not specified try to mount the whole iSCSI LUN
Harald Hoyer 12f6cc
         printf 'ENV{DEVTYPE}!="partition", SYMLINK=="disk/by-path/*-iscsi-*-*", SYMLINK+="root"\n' >> /etc/udev/rules.d/99-iscsi-root.rules
Harald Hoyer 12f6cc
         udevadm control --reload
Harald Hoyer 12f6cc
     fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-    for p in $(getargs rd.iscsi.param iscsi_param); do
Harald Hoyer 12f6cc
+    for p in $(getargs rd.iscsi.param -d iscsi_param); do
Harald Hoyer 12f6cc
 	iscsi_param="$iscsi_param --param $p"
Harald Hoyer 12f6cc
     done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
@@ -66,25 +66,25 @@ handle_netroot()
Harald Hoyer 12f6cc
     local p
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
     # override conf settings by command line options
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.initiator iscsi_initiator=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.initiator -d iscsi_initiator=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_initiator=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.target.name iscsi_target_name=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.target.name -d iscsi_target_name=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_target_name=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.target.ip iscsi_target_ip)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.target.ip -d iscsi_target_ip)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_target_ip=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.target.port iscsi_target_port=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.target.port -d iscsi_target_port=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_target_port=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.target.group iscsi_target_group=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.target.group -d iscsi_target_group=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_target_group=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.username iscsi_username=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.username -d iscsi_username=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_username=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.password iscsi_password)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.password -d iscsi_password)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_password=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.in.username iscsi_in_username=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.in.username -d iscsi_in_username=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_in_username=$arg
Harald Hoyer 12f6cc
-    arg=$(getargs rd.iscsi.in.password iscsi_in_password=)
Harald Hoyer 12f6cc
+    arg=$(getargs rd.iscsi.in.password -d iscsi_in_password=)
Harald Hoyer 12f6cc
     [ -n "$arg" ] && iscsi_in_password=$arg
Harald Hoyer 12f6cc
-    for p in $(getargs rd.iscsi.param iscsi_param); do
Harald Hoyer 12f6cc
+    for p in $(getargs rd.iscsi.param -d iscsi_param); do
Harald Hoyer 12f6cc
 	iscsi_param="$iscsi_param --param $p"
Harald Hoyer 12f6cc
     done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/95nfs/parse-nfsroot.sh b/modules.d/95nfs/parse-nfsroot.sh
Harald Hoyer 12f6cc
index 769d233..283420a 100755
Harald Hoyer 12f6cc
--- a/modules.d/95nfs/parse-nfsroot.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95nfs/parse-nfsroot.sh
Harald Hoyer 12f6cc
@@ -72,7 +72,7 @@ esac
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # Check required arguments
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-if nfsdomain=$(getarg rd.nfs.domain rd_NFS_DOMAIN); then
Harald Hoyer 12f6cc
+if nfsdomain=$(getarg rd.nfs.domain -d rd_NFS_DOMAIN); then
Harald Hoyer 12f6cc
     if [ -f /etc/idmapd.conf ]; then
Harald Hoyer 12f6cc
         sed -i -e \
Harald Hoyer 12f6cc
             "s/^[[:space:]#]*Domain[[:space:]]*=.*/Domain = $nfsdomain/g" \
Harald Hoyer 12f6cc
diff --git a/modules.d/95rootfs-block/mount-root.sh b/modules.d/95rootfs-block/mount-root.sh
Harald Hoyer 12f6cc
index e61b0e8..670f6e3 100755
Harald Hoyer 12f6cc
--- a/modules.d/95rootfs-block/mount-root.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95rootfs-block/mount-root.sh
Harald Hoyer 12f6cc
@@ -76,7 +76,7 @@ mount_root() {
Harald Hoyer 12f6cc
     fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
     rootopts=
Harald Hoyer 12f6cc
-    if getargbool 1 rd.fstab -n rd_NO_FSTAB \
Harald Hoyer 12f6cc
+    if getargbool 1 rd.fstab -d -n rd_NO_FSTAB \
Harald Hoyer 12f6cc
         && ! getarg rootflags \
Harald Hoyer 12f6cc
         && [ -f "$NEWROOT/etc/fstab" ] \
Harald Hoyer 12f6cc
         && ! [ -L "$NEWROOT/etc/fstab" ]; then
Harald Hoyer 12f6cc
diff --git a/modules.d/95zfcp/parse-zfcp.sh b/modules.d/95zfcp/parse-zfcp.sh
Harald Hoyer 12f6cc
index 5af454a..9b22d93 100755
Harald Hoyer 12f6cc
--- a/modules.d/95zfcp/parse-zfcp.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95zfcp/parse-zfcp.sh
Harald Hoyer 12f6cc
@@ -2,9 +2,9 @@
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getargbool 1 rd.zfcp.conf -n rd_NO_ZFCPCONF || rm /etc/zfcp.conf
Harald Hoyer 12f6cc
+getargbool 1 rd.zfcp.conf -d -n rd_NO_ZFCPCONF || rm /etc/zfcp.conf
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for zfcp_arg in $(getargs rd.zfcp 'rd_ZFCP='); do
Harald Hoyer 12f6cc
+for zfcp_arg in $(getargs rd.zfcp -d 'rd_ZFCP='); do
Harald Hoyer 12f6cc
     (
Harald Hoyer 12f6cc
         IFS=","
Harald Hoyer 12f6cc
         set $zfcp_arg
Harald Hoyer 12f6cc
diff --git a/modules.d/95znet/parse-ccw.sh b/modules.d/95znet/parse-ccw.sh
Harald Hoyer 12f6cc
index 876671c..cf1f41d 100755
Harald Hoyer 12f6cc
--- a/modules.d/95znet/parse-ccw.sh
Harald Hoyer 12f6cc
+++ b/modules.d/95znet/parse-ccw.sh
Harald Hoyer 12f6cc
@@ -2,7 +2,7 @@
Harald Hoyer 12f6cc
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 12f6cc
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-for ccw_arg in $(getargs rd.ccw 'rd_CCW=') $(getargs rd.znet 'rd_ZNET='); do
Harald Hoyer 12f6cc
+for ccw_arg in $(getargs rd.ccw -d 'rd_CCW=') $(getargs rd.znet -d 'rd_ZNET='); do
Harald Hoyer 12f6cc
     echo $ccw_arg >> /etc/ccw.conf
Harald Hoyer 12f6cc
 done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/98syslog/parse-syslog-opts.sh b/modules.d/98syslog/parse-syslog-opts.sh
Harald Hoyer 12f6cc
index 02788dd..e58c8f5 100755
Harald Hoyer 12f6cc
--- a/modules.d/98syslog/parse-syslog-opts.sh
Harald Hoyer 12f6cc
+++ b/modules.d/98syslog/parse-syslog-opts.sh
Harald Hoyer 12f6cc
@@ -11,9 +11,9 @@
Harald Hoyer 12f6cc
 #                   Don't auto detect syslog but set it
Harald Hoyer 12f6cc
 type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-syslogserver=$(getarg syslog.server syslog)
Harald Hoyer 12f6cc
-syslogfilters=$(getargs syslog.filter filter)
Harald Hoyer 12f6cc
-syslogtype=$(getarg syslog.type syslogtype)
Harald Hoyer 12f6cc
+syslogserver=$(getarg syslog.server -d syslog)
Harald Hoyer 12f6cc
+syslogfilters=$(getargs syslog.filter -d filter)
Harald Hoyer 12f6cc
+syslogtype=$(getarg syslog.type -d syslogtype)
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 [ -n "$syslogserver" ] && echo $syslogserver > /tmp/syslog.server
Harald Hoyer 12f6cc
 [ -n "$syslogfilters" ] && echo "$syslogfilters" > /tmp/syslog.filters
Harald Hoyer 12f6cc
diff --git a/modules.d/98systemd/dracut-cmdline.sh b/modules.d/98systemd/dracut-cmdline.sh
Harald Hoyer 12f6cc
index 6a44815..77ad121 100755
Harald Hoyer 12f6cc
--- a/modules.d/98systemd/dracut-cmdline.sh
Harald Hoyer 12f6cc
+++ b/modules.d/98systemd/dracut-cmdline.sh
Harald Hoyer 12f6cc
@@ -15,7 +15,7 @@ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 source_conf /etc/conf.d
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # run scriptlets to parse the command line
Harald Hoyer 12f6cc
-getarg 'rd.break=cmdline' 'rdbreak=cmdline' && emergency_shell -n cmdline "Break before cmdline"
Harald Hoyer 12f6cc
+getarg 'rd.break=cmdline' -d 'rdbreak=cmdline' && emergency_shell -n cmdline "Break before cmdline"
Harald Hoyer 12f6cc
 source_hook cmdline
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 [ -z "$root" ] && die "No or empty root= argument"
Harald Hoyer 12f6cc
diff --git a/modules.d/98systemd/dracut-initqueue.sh b/modules.d/98systemd/dracut-initqueue.sh
Harald Hoyer 12f6cc
index cfdb12d..112d2a8 100755
Harald Hoyer 12f6cc
--- a/modules.d/98systemd/dracut-initqueue.sh
Harald Hoyer 12f6cc
+++ b/modules.d/98systemd/dracut-initqueue.sh
Harald Hoyer 12f6cc
@@ -9,9 +9,9 @@ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 source_conf /etc/conf.d
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg 'rd.break=initqueue' 'rdbreak=initqueue' && emergency_shell -n initqueue "Break before initqueue"
Harald Hoyer 12f6cc
+getarg 'rd.break=initqueue' -d 'rdbreak=initqueue' && emergency_shell -n initqueue "Break before initqueue"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-RDRETRY=$(getarg rd.retry 'rd_retry=')
Harald Hoyer 12f6cc
+RDRETRY=$(getarg rd.retry -d 'rd_retry=')
Harald Hoyer 12f6cc
 RDRETRY=${RDRETRY:-20}
Harald Hoyer 12f6cc
 RDRETRY=$(($RDRETRY*2))
Harald Hoyer 12f6cc
 export RDRETRY
Harald Hoyer 12f6cc
@@ -71,11 +71,11 @@ unset RDRETRY
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # pre-mount happens before we try to mount the root filesystem,
Harald Hoyer 12f6cc
 # and happens once.
Harald Hoyer 12f6cc
-getarg 'rd.break=pre-mount' 'rdbreak=pre-mount' && emergency_shell -n pre-mount "Break pre-mount"
Harald Hoyer 12f6cc
+getarg 'rd.break=pre-mount' -d 'rdbreak=pre-mount' && emergency_shell -n pre-mount "Break pre-mount"
Harald Hoyer 12f6cc
 source_hook pre-mount
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg 'rd.break=mount' 'rdbreak=mount' && emergency_shell -n mount "Break mount"
Harald Hoyer 12f6cc
+getarg 'rd.break=mount' -d 'rdbreak=mount' && emergency_shell -n mount "Break mount"
Harald Hoyer 12f6cc
 # mount scripts actually try to mount the root filesystem, and may
Harald Hoyer 12f6cc
 # be sourced any number of times. As soon as one suceeds, no more are sourced.
Harald Hoyer 12f6cc
 i=0
Harald Hoyer 12f6cc
diff --git a/modules.d/98systemd/dracut-pre-pivot.sh b/modules.d/98systemd/dracut-pre-pivot.sh
Harald Hoyer 12f6cc
index 31dded5..3fd7957 100755
Harald Hoyer 12f6cc
--- a/modules.d/98systemd/dracut-pre-pivot.sh
Harald Hoyer 12f6cc
+++ b/modules.d/98systemd/dracut-pre-pivot.sh
Harald Hoyer 12f6cc
@@ -37,6 +37,6 @@ echo "NEWROOT=\"$NEWROOT\"" >> /run/initramfs/switch-root.conf
Harald Hoyer 12f6cc
 # remove helper symlink
Harald Hoyer 12f6cc
 [ -h /dev/root ] && rm -f /dev/root
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg rd.break rdbreak && emergency_shell -n switch_root "Break before switch_root"
Harald Hoyer 12f6cc
+getarg rd.break -d rdbreak && emergency_shell -n switch_root "Break before switch_root"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 exit 0
Harald Hoyer 12f6cc
diff --git a/modules.d/98systemd/dracut-pre-trigger.sh b/modules.d/98systemd/dracut-pre-trigger.sh
Harald Hoyer 12f6cc
index 52ecfaf..9850124 100755
Harald Hoyer 12f6cc
--- a/modules.d/98systemd/dracut-pre-trigger.sh
Harald Hoyer 12f6cc
+++ b/modules.d/98systemd/dracut-pre-trigger.sh
Harald Hoyer 12f6cc
@@ -9,8 +9,8 @@ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 source_conf /etc/conf.d
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getargbool 0 rd.udev.info -y rdudevinfo && udevadm control --log-priority=info
Harald Hoyer 12f6cc
-getargbool 0 rd.udev.debug -y rdudevdebug && udevadm control --log-priority=debug
Harald Hoyer 12f6cc
+getargbool 0 rd.udev.info -n -y rdudevinfo && udevadm control --log-priority=info
Harald Hoyer 12f6cc
+getargbool 0 rd.udev.debug -n -y rdudevdebug && udevadm control --log-priority=debug
Harald Hoyer 12f6cc
 udevproperty "hookdir=$hookdir"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 source_hook pre-trigger
Harald Hoyer 12f6cc
diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
Harald Hoyer 12f6cc
index 1ee671e..786661e 100755
Harald Hoyer 12f6cc
--- a/modules.d/99base/dracut-lib.sh
Harald Hoyer 12f6cc
+++ b/modules.d/99base/dracut-lib.sh
Harald Hoyer 12f6cc
@@ -103,24 +103,41 @@ _dogetarg() {
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 getarg() {
Harald Hoyer 12f6cc
     debug_off
Harald Hoyer 12f6cc
+    local _deprecated _newoption
Harald Hoyer 12f6cc
     while [ $# -gt 0 ]; do
Harald Hoyer 12f6cc
         case $1 in
Harald Hoyer 12f6cc
+            -d) _deprecated=1; shift;;
Harald Hoyer 12f6cc
             -y) if _dogetarg $2 >/dev/null; then
Harald Hoyer 12f6cc
+                    if [ "$_deprecated" = "1" ]; then
Harald Hoyer 12f6cc
+                        [ -n "$_newoption" ] && warn "Option '$2' is deprecated, use '$_newoption' instead." || warn "Option '$2' is deprecated."
Harald Hoyer 12f6cc
+                    fi
Harald Hoyer 12f6cc
                     echo 1
Harald Hoyer 12f6cc
                     debug_on
Harald Hoyer 12f6cc
                     return 0
Harald Hoyer 12f6cc
                 fi
Harald Hoyer 12f6cc
+                _deprecated=0
Harald Hoyer 12f6cc
                 shift 2;;
Harald Hoyer 12f6cc
             -n) if _dogetarg $2 >/dev/null; then
Harald Hoyer 12f6cc
                     echo 0;
Harald Hoyer 12f6cc
+                    if [ "$_deprecated" = "1" ]; then
Harald Hoyer 12f6cc
+                        [ -n "$_newoption" ] && warn "Option '$2' is deprecated, use '$_newoption=0' instead." || warn "Option '$2' is deprecated."
Harald Hoyer 12f6cc
+                    fi
Harald Hoyer 12f6cc
                     debug_on
Harald Hoyer 12f6cc
                     return 1
Harald Hoyer 12f6cc
                 fi
Harald Hoyer 12f6cc
+                _deprecated=0
Harald Hoyer 12f6cc
                 shift 2;;
Harald Hoyer 12f6cc
-            *)  if _dogetarg $1; then
Harald Hoyer 12f6cc
+            *)  if [ -z "$_newoption" ]; then
Harald Hoyer 12f6cc
+                    _newoption=$1
Harald Hoyer 12f6cc
+                fi
Harald Hoyer 12f6cc
+                if _dogetarg $1; then
Harald Hoyer 12f6cc
+                    if [ "$_deprecated" = "1" ]; then
Harald Hoyer 12f6cc
+                        [ -n "$_newoption" ] && warn "Option '$1' is deprecated, use '$_newoption' instead." || warn "Option '$1' is deprecated."
Harald Hoyer 12f6cc
+                    fi
Harald Hoyer 12f6cc
                     debug_on
Harald Hoyer 12f6cc
                     return 0;
Harald Hoyer 12f6cc
                 fi
Harald Hoyer 12f6cc
+                _deprecated=0
Harald Hoyer 12f6cc
                 shift;;
Harald Hoyer 12f6cc
         esac
Harald Hoyer 12f6cc
     done
Harald Hoyer 12f6cc
@@ -168,15 +185,26 @@ _dogetargs() {
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 getargs() {
Harald Hoyer 12f6cc
     debug_off
Harald Hoyer 12f6cc
-    local _val _i _args _gfound
Harald Hoyer 12f6cc
+    local _val _i _args _gfound _deprecated
Harald Hoyer 12f6cc
     unset _val
Harald Hoyer 12f6cc
     unset _gfound
Harald Hoyer 12f6cc
+    _newoption="$1"
Harald Hoyer 12f6cc
     _args="$@"
Harald Hoyer 12f6cc
     set --
Harald Hoyer 12f6cc
     for _i in $_args; do
Harald Hoyer 12f6cc
+        if [ "$i" = "-d" ]; then
Harald Hoyer 12f6cc
+            _deprecated=1
Harald Hoyer 12f6cc
+            continue
Harald Hoyer 12f6cc
+        fi
Harald Hoyer 12f6cc
         _val="$(_dogetargs $_i)"
Harald Hoyer 12f6cc
-        [ $? -eq 0 ] && _gfound=1
Harald Hoyer 12f6cc
+        if [ $? -eq 0 ]; then
Harald Hoyer 12f6cc
+            if [ "$_deprecated" = "1" ]; then
Harald Hoyer 12f6cc
+                [ -n "$_newoption" ] && warn "Option '$_i' is deprecated, use '$_newoption' instead." || warn "Option $_i is deprecated!"
Harald Hoyer 12f6cc
+            fi
Harald Hoyer 12f6cc
+            _gfound=1
Harald Hoyer 12f6cc
+        fi
Harald Hoyer 12f6cc
         [ -n "$_val" ] && set -- "$@" "$_val"
Harald Hoyer 12f6cc
+        _deprecated=0
Harald Hoyer 12f6cc
     done
Harald Hoyer 12f6cc
     if [ -n "$_gfound" ]; then
Harald Hoyer 12f6cc
         if [ $# -gt 0 ]; then
Harald Hoyer 12f6cc
@@ -250,7 +278,7 @@ setdebug() {
Harald Hoyer 12f6cc
     if [ -z "$RD_DEBUG" ]; then
Harald Hoyer 12f6cc
         if [ -e /proc/cmdline ]; then
Harald Hoyer 12f6cc
             RD_DEBUG=no
Harald Hoyer 12f6cc
-            if getargbool 0 rd.debug -y rdinitdebug -y rdnetdebug; then
Harald Hoyer 12f6cc
+            if getargbool 0 rd.debug -d -y rdinitdebug -d -y rdnetdebug; then
Harald Hoyer 12f6cc
                 RD_DEBUG=yes
Harald Hoyer 12f6cc
                 [ -n "$BASH" ] && \
Harald Hoyer 12f6cc
                     export PS4='${BASH_SOURCE}@${LINENO}(${FUNCNAME[0]}): ';
Harald Hoyer 12f6cc
@@ -314,8 +342,8 @@ die() {
Harald Hoyer 12f6cc
 check_quiet() {
Harald Hoyer 12f6cc
     if [ -z "$DRACUT_QUIET" ]; then
Harald Hoyer 12f6cc
         DRACUT_QUIET="yes"
Harald Hoyer 12f6cc
-        getargbool 0 rd.info -y rdinfo && DRACUT_QUIET="no"
Harald Hoyer 12f6cc
-        getargbool 0 rd.debug -y rdinitdebug && DRACUT_QUIET="no"
Harald Hoyer 12f6cc
+        getargbool 0 rd.info -d -y rdinfo && DRACUT_QUIET="no"
Harald Hoyer 12f6cc
+        getargbool 0 rd.debug -d -y rdinitdebug && DRACUT_QUIET="no"
Harald Hoyer 12f6cc
         getarg quiet || DRACUT_QUIET="yes"
Harald Hoyer 12f6cc
         a=$(getarg loglevel=)
Harald Hoyer 12f6cc
         [ -n "$a" ] && [ $a -ge 28 ] && DRACUT_QUIET="yes"
Harald Hoyer 12f6cc
@@ -831,7 +859,7 @@ emergency_shell()
Harald Hoyer 12f6cc
     source_hook "$hook"
Harald Hoyer 12f6cc
     echo
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-    if getargbool 1 rd.shell -y rdshell || getarg rd.break rdbreak; then
Harald Hoyer 12f6cc
+    if getargbool 1 rd.shell -d -y rdshell || getarg rd.break -d rdbreak; then
Harald Hoyer 12f6cc
         if [ -x /lib/systemd/systemd ]; then
Harald Hoyer 12f6cc
             > /.console_lock
Harald Hoyer 12f6cc
             echo "PS1=\"$_rdshell_name:\${PWD}# \"" >/etc/profile
Harald Hoyer 12f6cc
diff --git a/modules.d/99base/init.sh b/modules.d/99base/init.sh
Harald Hoyer 12f6cc
index 3eb6424..c33f182 100755
Harald Hoyer 12f6cc
--- a/modules.d/99base/init.sh
Harald Hoyer 12f6cc
+++ b/modules.d/99base/init.sh
Harald Hoyer 12f6cc
@@ -108,7 +108,7 @@ fi
Harald Hoyer 12f6cc
 source_conf /etc/conf.d
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # run scriptlets to parse the command line
Harald Hoyer 12f6cc
-getarg 'rd.break=cmdline' 'rdbreak=cmdline' && emergency_shell -n cmdline "Break before cmdline"
Harald Hoyer 12f6cc
+getarg 'rd.break=cmdline' -d 'rdbreak=cmdline' && emergency_shell -n cmdline "Break before cmdline"
Harald Hoyer 12f6cc
 source_hook cmdline
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 [ -z "$root" ] && die "No or empty root= argument"
Harald Hoyer 12f6cc
@@ -117,7 +117,7 @@ source_hook cmdline
Harald Hoyer 12f6cc
 export root rflags fstype netroot NEWROOT
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # pre-udev scripts run before udev starts, and are run only once.
Harald Hoyer 12f6cc
-getarg 'rd.break=pre-udev' 'rdbreak=pre-udev' && emergency_shell -n pre-udev "Break before pre-udev"
Harald Hoyer 12f6cc
+getarg 'rd.break=pre-udev' -d 'rdbreak=pre-udev' && emergency_shell -n pre-udev "Break before pre-udev"
Harald Hoyer 12f6cc
 source_hook pre-udev
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # start up udev and trigger cold plugs
Harald Hoyer 12f6cc
@@ -131,11 +131,11 @@ if [ $UDEVVERSION -lt 140 ]; then
Harald Hoyer 12f6cc
     UDEV_QUEUE_EMPTY="udevadm settle --timeout=1"
Harald Hoyer 12f6cc
 fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getargbool 0 rd.udev.info -y rdudevinfo && udevadm control "$UDEV_LOG_PRIO_ARG=info"
Harald Hoyer 12f6cc
-getargbool 0 rd.udev.debug -y rdudevdebug && udevadm control "$UDEV_LOG_PRIO_ARG=debug"
Harald Hoyer 12f6cc
+getargbool 0 rd.udev.info -d -y rdudevinfo && udevadm control "$UDEV_LOG_PRIO_ARG=info"
Harald Hoyer 12f6cc
+getargbool 0 rd.udev.debug -d -y rdudevdebug && udevadm control "$UDEV_LOG_PRIO_ARG=debug"
Harald Hoyer 12f6cc
 udevproperty "hookdir=$hookdir"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg 'rd.break=pre-trigger' 'rdbreak=pre-trigger' && emergency_shell -n pre-trigger "Break before pre-trigger"
Harald Hoyer 12f6cc
+getarg 'rd.break=pre-trigger' -d 'rdbreak=pre-trigger' && emergency_shell -n pre-trigger "Break before pre-trigger"
Harald Hoyer 12f6cc
 source_hook pre-trigger
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 udevadm control --reload >/dev/null 2>&1 || :
Harald Hoyer 12f6cc
@@ -143,9 +143,9 @@ udevadm control --reload >/dev/null 2>&1 || :
Harald Hoyer 12f6cc
 udevadm trigger --type=subsystems --action=add >/dev/null 2>&1
Harald Hoyer 12f6cc
 udevadm trigger --type=devices --action=add >/dev/null 2>&1
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg 'rd.break=initqueue' 'rdbreak=initqueue' && emergency_shell -n initqueue "Break before initqueue"
Harald Hoyer 12f6cc
+getarg 'rd.break=initqueue' -d 'rdbreak=initqueue' && emergency_shell -n initqueue "Break before initqueue"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-RDRETRY=$(getarg rd.retry 'rd_retry=')
Harald Hoyer 12f6cc
+RDRETRY=$(getarg rd.retry -d 'rd_retry=')
Harald Hoyer 12f6cc
 RDRETRY=${RDRETRY:-20}
Harald Hoyer 12f6cc
 RDRETRY=$(($RDRETRY*2))
Harald Hoyer 12f6cc
 export RDRETRY
Harald Hoyer 12f6cc
@@ -202,11 +202,11 @@ unset RDRETRY
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # pre-mount happens before we try to mount the root filesystem,
Harald Hoyer 12f6cc
 # and happens once.
Harald Hoyer 12f6cc
-getarg 'rd.break=pre-mount' 'rdbreak=pre-mount' && emergency_shell -n pre-mount "Break pre-mount"
Harald Hoyer 12f6cc
+getarg 'rd.break=pre-mount' -d 'rdbreak=pre-mount' && emergency_shell -n pre-mount "Break pre-mount"
Harald Hoyer 12f6cc
 source_hook pre-mount
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg 'rd.break=mount' 'rdbreak=mount' && emergency_shell -n mount "Break mount"
Harald Hoyer 12f6cc
+getarg 'rd.break=mount' -d 'rdbreak=mount' && emergency_shell -n mount "Break mount"
Harald Hoyer 12f6cc
 # mount scripts actually try to mount the root filesystem, and may
Harald Hoyer 12f6cc
 # be sourced any number of times. As soon as one suceeds, no more are sourced.
Harald Hoyer 12f6cc
 i=0
Harald Hoyer 12f6cc
@@ -237,11 +237,11 @@ done
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # pre pivot scripts are sourced just before we doing cleanup and switch over
Harald Hoyer 12f6cc
 # to the new root.
Harald Hoyer 12f6cc
-getarg 'rd.break=pre-pivot' 'rdbreak=pre-pivot' && emergency_shell -n pre-pivot "Break pre-pivot"
Harald Hoyer 12f6cc
+getarg 'rd.break=pre-pivot' -d 'rdbreak=pre-pivot' && emergency_shell -n pre-pivot "Break pre-pivot"
Harald Hoyer 12f6cc
 source_hook pre-pivot
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # pre pivot cleanup scripts are sourced just before we switch over to the new root.
Harald Hoyer 12f6cc
-getarg 'rd.break=cleanup' 'rdbreak=cleanup' && emergency_shell -n cleanup "Break cleanup"
Harald Hoyer 12f6cc
+getarg 'rd.break=cleanup' -d 'rdbreak=cleanup' && emergency_shell -n cleanup "Break cleanup"
Harald Hoyer 12f6cc
 source_hook cleanup
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 # By the time we get here, the root filesystem should be mounted.
Harald Hoyer 12f6cc
@@ -340,7 +340,7 @@ wait_for_loginit
Harald Hoyer 12f6cc
 # remove helper symlink
Harald Hoyer 12f6cc
 [ -h /dev/root ] && rm -f /dev/root
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
-getarg rd.break rdbreak && emergency_shell -n switch_root "Break before switch_root"
Harald Hoyer 12f6cc
+getarg rd.break -d rdbreak && emergency_shell -n switch_root "Break before switch_root"
Harald Hoyer 12f6cc
 info "Switching root"
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
diff --git a/modules.d/99base/mount-hook.sh b/modules.d/99base/mount-hook.sh
Harald Hoyer 12f6cc
index db07866..e32ecae 100755
Harald Hoyer 12f6cc
--- a/modules.d/99base/mount-hook.sh
Harald Hoyer 12f6cc
+++ b/modules.d/99base/mount-hook.sh
Harald Hoyer 12f6cc
@@ -81,7 +81,7 @@ mount_root() {
Harald Hoyer 12f6cc
     fi
Harald Hoyer 12f6cc
 
Harald Hoyer 12f6cc
     rootopts=
Harald Hoyer 12f6cc
-    if getargbool 1 rd.fstab -n rd_NO_FSTAB \
Harald Hoyer 12f6cc
+    if getargbool 1 rd.fstab -d -n rd_NO_FSTAB \
Harald Hoyer 12f6cc
         && ! getarg rootflags \
Harald Hoyer 12f6cc
         && [ -f "$NEWROOT/etc/fstab" ] \
Harald Hoyer 12f6cc
         && ! [ -L "$NEWROOT/etc/fstab" ]; then